<Project Sdk="Microsoft.NET.Sdk">

	<Import Project="..\build\common.targets" />

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DocumentationFile>..\Tiobon.Core.Api\Tiobon.Core.Model.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<DocumentationFile>..\Tiobon.Core\Tiobon.Core.Model.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Models\Advertisement.cs" />
	  <Compile Remove="Models\RootTkey\TopicDetailRoot.cs" />
	  <Compile Remove="Models\Topic.cs" />
	  <Compile Remove="Models\TopicDetail.cs" />
	  <Compile Remove="Models\WeChatCompany.cs" />
	  <Compile Remove="Models\WeChatConfig.cs" />
	  <Compile Remove="Models\WeChatPushLog.cs" />
	  <Compile Remove="Models\WeChatQR.cs" />
	  <Compile Remove="Models\WeChatSub.cs" />
	  <Compile Remove="Models\WeChatUploadFile.cs" />
	  <Compile Remove="ViewModels\AdvertisementViewModels.cs" />
	  <Compile Remove="ViewModels\WeChatApiDto.cs" />
	  <Compile Remove="ViewModels\WeChatCardMsgDataDto.cs" />
	  <Compile Remove="ViewModels\WeChatCardMsgDataOpenIDDto.cs" />
	  <Compile Remove="ViewModels\WeChatCardMsgDetailDto.cs" />
	  <Compile Remove="ViewModels\WeChatMenuButtonDto.cs" />
	  <Compile Remove="ViewModels\WeChatMenuDto.cs" />
	  <Compile Remove="ViewModels\WeChatOpenIDsDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushCardMsgDetailDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushCardMsgDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushCardMsgValueColorDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushLinkMsgContentDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushPictureContentDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushTestDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushTextContentDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushVideoContentDto.cs" />
	  <Compile Remove="ViewModels\WeChatPushVoiceContentDto.cs" />
	  <Compile Remove="ViewModels\WeChatQRActionDto.cs" />
	  <Compile Remove="ViewModels\WeChatQRActionInfoDto.cs" />
	  <Compile Remove="ViewModels\WeChatQRDto.cs" />
	  <Compile Remove="ViewModels\WeChatResponseUserInfo.cs" />
	  <Compile Remove="ViewModels\WeChatTemplateList.cs" />
	  <Compile Remove="ViewModels\WeChatUserInfo.cs" />
	  <Compile Remove="ViewModels\WeChatUserInfoOpenID.cs" />
	  <Compile Remove="ViewModels\WeChatValidDto.cs" />
	  <Compile Remove="ViewModels\WeChatXMLDto.cs" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Http.Features" Version="5.0.17" />
		<PackageReference Include="sqlSugarCore" Version="5.1.4.115" />
		<PackageReference Include="AutoMapper" Version="12.0.1" />
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Entity\AttributeManager\" />
	  <Folder Include="Models\RootTkey\Interface\" />
	</ItemGroup>

</Project>
